<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>OutputExtent (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OutputExtent (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/extent/NullExtent.html" title="class in com.sk89q.worldedit.extent"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/extent/OutputExtent.html" target="_top">Frames</a></li>
<li><a href="OutputExtent.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.extent</div>
<h2 title="Interface OutputExtent" class="title">Interface OutputExtent</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html" title="interface in com.sk89q.worldedit.extent.clipboard">Clipboard</a>, <a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>, <a href="../../../../com/sk89q/worldedit/extent/reorder/ReorderingExtent.html" title="interface in com.sk89q.worldedit.extent.reorder">ReorderingExtent</a>, <a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html" title="class in com.sk89q.worldedit.extent">AbstractDelegateExtent</a>, <a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html" title="class in com.sk89q.worldedit.world">AbstractWorld</a>, <a href="../../../../com/sk89q/worldedit/extent/clipboard/BlockArrayClipboard.html" title="class in com.sk89q.worldedit.extent.clipboard">BlockArrayClipboard</a>, <a href="../../../../com/sk89q/worldedit/extent/inventory/BlockBagExtent.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBagExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/validation/BlockChangeLimiter.html" title="class in com.sk89q.worldedit.extent.validation">BlockChangeLimiter</a>, <a href="../../../../com/sk89q/worldedit/extent/world/BlockQuirkExtent.html" title="class in com.sk89q.worldedit.extent.world">BlockQuirkExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/transform/BlockTransformExtent.html" title="class in com.sk89q.worldedit.extent.transform">BlockTransformExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/ChangeSetExtent.html" title="class in com.sk89q.worldedit.extent">ChangeSetExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/reorder/ChunkBatchingExtent.html" title="class in com.sk89q.worldedit.extent.reorder">ChunkBatchingExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/world/ChunkLoadingExtent.html" title="class in com.sk89q.worldedit.extent.world">ChunkLoadingExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/validation/DataValidatorExtent.html" title="class in com.sk89q.worldedit.extent.validation">DataValidatorExtent</a>, <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>, <a href="../../../../com/sk89q/worldedit/extent/buffer/ExtentBuffer.html" title="class in com.sk89q.worldedit.extent.buffer">ExtentBuffer</a>, <a href="../../../../com/sk89q/worldedit/extent/world/FastModeExtent.html" title="class in com.sk89q.worldedit.extent.world">FastModeExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/buffer/ForgetfulExtentBuffer.html" title="class in com.sk89q.worldedit.extent.buffer">ForgetfulExtentBuffer</a>, <a href="../../../../com/sk89q/worldedit/extent/cache/LastAccessExtentCache.html" title="class in com.sk89q.worldedit.extent.cache">LastAccessExtentCache</a>, <a href="../../../../com/sk89q/worldedit/extent/MaskingExtent.html" title="class in com.sk89q.worldedit.extent">MaskingExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/reorder/MultiStageReorder.html" title="class in com.sk89q.worldedit.extent.reorder">MultiStageReorder</a>, <a href="../../../../com/sk89q/worldedit/extent/NullExtent.html" title="class in com.sk89q.worldedit.extent">NullExtent</a>, <a href="../../../../com/sk89q/worldedit/world/NullWorld.html" title="class in com.sk89q.worldedit.world">NullWorld</a>, <a href="../../../../com/sk89q/worldedit/session/request/RequestExtent.html" title="class in com.sk89q.worldedit.session.request">RequestExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/world/SurvivalModeExtent.html" title="class in com.sk89q.worldedit.extent.world">SurvivalModeExtent</a>, <a href="../../../../com/sk89q/worldedit/TracedEditSession.html" title="class in com.sk89q.worldedit">TracedEditSession</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">OutputExtent</span></pre>
<div class="block">Accepts block and entity changes.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#commit--">commit</a></span>()</code>
<div class="block">Return an <a href="../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation"><code>Operation</code></a> that should be called to tie up loose ends
 (such as to commit changes in a buffer).</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBiome-com.sk89q.worldedit.math.BlockVector2-com.sk89q.worldedit.world.biome.BiomeType-">setBiome</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&nbsp;position,
        <a href="../../../../com/sk89q/worldedit/world/biome/BiomeType.html" title="class in com.sk89q.worldedit.world.biome">BiomeType</a>&nbsp;biome)</code>
<div class="block">Set the biome.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;T&gt;&gt;<br>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-">setBlock</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
        T&nbsp;block)</code>
<div class="block">Change the block at the given location to the given block.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setBlock-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockStateHolder-">
<!--   -->
</a><a name="setBlock-com.sk89q.worldedit.math.BlockVector3-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBlock</h4>
<pre>&lt;T extends <a href="../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;T&gt;&gt;&nbsp;boolean&nbsp;setBlock(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                                                 T&nbsp;block)
                                          throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block">Change the block at the given location to the given block. The operation may
 not tie the given <a href="../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block"><code>BlockStateHolder</code></a> to the world, so future changes to the
 <a href="../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block"><code>BlockStateHolder</code></a> do not affect the world until this method is called again.

 <p>The return value of this method indicates whether the change was probably
 successful. It may not be successful if, for example, the location is out
 of the bounds of the extent. It may be unsuccessful if the block passed
 is the same as the one in the world. However, the return value is only an
 estimation and it may be incorrect, but it could be used to count, for
 example, the approximate number of changes.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - position of the block</dd>
<dd><code>block</code> - block to set</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the block was successfully set (return value may not be accurate)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code> - thrown on an error</dd>
</dl>
</li>
</ul>
<a name="setBiome-com.sk89q.worldedit.math.BlockVector2-com.sk89q.worldedit.world.biome.BiomeType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBiome</h4>
<pre>boolean&nbsp;setBiome(<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&nbsp;position,
                 <a href="../../../../com/sk89q/worldedit/world/biome/BiomeType.html" title="class in com.sk89q.worldedit.world.biome">BiomeType</a>&nbsp;biome)</pre>
<div class="block">Set the biome.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the (x, z) location to set the biome at</dd>
<dd><code>biome</code> - the biome to set to</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the biome was successfully set (return value may not be accurate)</dd>
</dl>
</li>
</ul>
<a name="commit--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>commit</h4>
<pre>@Nullable
<a href="../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a>&nbsp;commit()</pre>
<div class="block">Return an <a href="../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation"><code>Operation</code></a> that should be called to tie up loose ends
 (such as to commit changes in a buffer).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an operation or null if there is none to execute</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/extent/NullExtent.html" title="class in com.sk89q.worldedit.extent"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/extent/OutputExtent.html" target="_top">Frames</a></li>
<li><a href="OutputExtent.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
